import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhIconsBlock {
    render() {
        return (h("div", { class: "container-fluid preview_block" },
            h("div", { class: "container" },
                h("div", { class: "row", onClick: () => this.clickOnIconsBlock.emit(this.previewBackground) },
                    h(IconBlocks, { arr: this.previewBackground })))));
    }
    static get is() { return "s-abdullakh-icons-block"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-icons-block.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-icons-block.css"]
    }; }
    static get properties() { return {
        "previewBackground": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "any[]",
                "resolved": "any[]",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            }
        }
    }; }
    static get events() { return [{
            "method": "clickOnIconsBlock",
            "name": "clickOnIconsBlock",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u0432 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0435 NewSinglePost"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода элементов news-main-block
 */
const IconBlocks = (props) => {
    return props.arr.map((item) => {
        return (h("div", { class: "col-lg-3 col-6" },
            h("s-abdullakh-icons", { arr: item })));
    });
};
